import { Duration, ResourceProps } from 'aws-cdk-lib';
import { IConstruct } from 'constructs';
/**
 * Configuration for the Workflow Action resource.
 */
export interface WorkflowActionOptions extends ResourceProps {
    readonly arguments?: {
        [key: string]: string;
    };
    readonly notifyDelayAfter?: Duration;
    readonly securityConfiguration?: string;
    readonly timeout?: Duration;
}
export declare class WorkflowActionBase {
    private readonly _arguments;
    readonly notifyDelayAfter?: Duration;
    readonly securityConfiguration?: string;
    readonly timeout?: Duration;
    constructor(options?: WorkflowActionOptions);
    addArgument(key: string, value: string): void;
    protected bindOptions(_scope: IConstruct): any;
}
