import { CfnTrigger } from 'aws-cdk-lib/aws-glue';
import { IConstruct } from 'constructs';
import { ICrawler, ITriggerPredicate } from '../..';
import { PredicateBase, PredicateLogicalOperator, PredicateOptions } from './predicate-base';
export declare enum CrawlerState {
    CANCELLED = "CANCELLED",
    FAILED = "FAILED",
    SUCCEEDED = "SUCCEEDED"
}
export interface CrawlerPredicateOptions extends PredicateOptions {
    readonly logicalOperator: PredicateLogicalOperator;
    readonly state?: CrawlerState;
}
export declare class CrawlerPredicate extends PredicateBase implements ITriggerPredicate {
    readonly crawler: ICrawler;
    readonly logicalOperator: PredicateLogicalOperator;
    readonly state: CrawlerState;
    constructor(crawler: ICrawler, options?: CrawlerPredicateOptions);
    bind(scope: IConstruct): CfnTrigger.ConditionProperty;
}
