import { CfnTrigger } from 'aws-cdk-lib/aws-glue';
import { IConstruct } from 'constructs';
import { IJob, ITriggerPredicate } from '../..';
import { PredicateBase, PredicateLogicalOperator, PredicateOptions } from './predicate-base';
export declare enum JobState {
    FAILED = "FAILED",
    STOPPED = "STOPPED",
    SUCCEEDED = "SUCCEEDED",
    TIMEOUT = "TIMEOUT"
}
export interface JobPredicateOptions extends PredicateOptions {
    readonly logicalOperator?: PredicateLogicalOperator;
    readonly state?: JobState;
}
export declare class JobPredicate extends PredicateBase implements ITriggerPredicate {
    readonly job: IJob;
    readonly logicalOperator: PredicateLogicalOperator;
    readonly state: JobState;
    constructor(job: IJob, options?: JobPredicateOptions);
    bind(scope: IConstruct): CfnTrigger.ConditionProperty;
}
